curl --request GET \
--url https://api.attio.com/v2/threads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attio.com/v2/threads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attio.com/v2/threads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attio.com/v2/threads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attio.com/v2/threads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"thread_id": "a649e4d9-435c-43fb-83ba-847b4876f27a"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"comments": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"comment_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2"
},
"thread_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2",
"content_plaintext": "Let's go ahead and close this deal, alice@attio.com.",
"entry": {
"entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
"list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
},
"record": {
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795"
},
"resolved_at": "2023-01-01T15:00:00.000000000Z",
"resolved_by": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"author": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}
}
]
}
]
}List threads
List threads of comments on a record or list entry.
Each thread in the response includes at most 80 replies, starting with the oldest. When a thread holds more, its has_more_comments is true; use Get a thread and its comments to page through every comment in that thread.
To view threads on records, you will need the object_configuration:read and record_permission:read scopes.
To view threads on list entries, you will need the list_configuration:read and list_entry:read scopes.
Required scopes: comment:read.
Supported token levels: workspace, user.
curl --request GET \
--url https://api.attio.com/v2/threads \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.attio.com/v2/threads"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.attio.com/v2/threads', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.attio.com/v2/threads",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.attio.com/v2/threads"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.attio.com/v2/threads")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.attio.com/v2/threads")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"data": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"thread_id": "a649e4d9-435c-43fb-83ba-847b4876f27a"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"comments": [
{
"id": {
"workspace_id": "14beef7a-99f7-4534-a87e-70b564330a4c",
"comment_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2"
},
"thread_id": "aa1dc1d9-93ac-4c6c-987e-16b6eea9aab2",
"content_plaintext": "Let's go ahead and close this deal, alice@attio.com.",
"entry": {
"entry_id": "2e6e29ea-c4e0-4f44-842d-78a891f8c156",
"list_id": "33ebdbe9-e529-47c9-b894-0ba25e9c15c0"
},
"record": {
"record_id": "bf071e1f-6035-429d-b874-d83ea64ea13b",
"object_id": "97052eb9-e65e-443f-a297-f2d9a4a7f795"
},
"resolved_at": "2023-01-01T15:00:00.000000000Z",
"resolved_by": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
},
"created_at": "2023-01-01T15:00:00.000000000Z",
"author": {
"type": "workspace-member",
"id": "50cf242c-7fa3-4cad-87d0-75b1af71c57b"
}
}
]
}
]
}Authorizations
Query Parameters
The maximum number of results to return. The default is 10 and the maximum is 50. See the full guide to pagination here.
10
The number of results to skip over before returning. The default is 0. See the full guide to pagination here.
5
Was this page helpful?